/* Defines for TDS3000 series scopes */
#include <epicsExport.h>

#define FAMILY       3000
#define EFASTI_TERM
#define FAMILY_VDIV_TABLE "1.0E-3",  \
                          "2.0E-3",  \
                          "5.0E-3",  \
                          "1.0E-2",  \
                          "2.0E-2",  \
                          "5.0E-2",  \
                          "1.0E-1",  \
                          "2.0E-1",  \
                          "5.0E-1",  \
                          "1.0E0",   \
                          "2.0E0",   \
                          "5.0E0",   \
                          "1.0E1", 

#define FAMILY_ACQMODE_LIST "Sample",    \
                            "Peakdetect",  \
                            "Average", \
                            "Envelope" 

#define FAMILY_ACQMODE_VAL 0,  \
                           1,  \
                           2,  \
                           3 
#define AM_NUMELEMENTS 4
#define AM_NOBT 2

#define FAMILY_ACQMODE_TABLE  "SAMPLE", \
                              "PEAKDETECT", \
                              "AVERAGE" \
                              "ENVELOPE", 

#define FAMILY_ACQMODE_CMD  "SAM",  \
                            "PEAK", \
                            "AVE"   \
                            "ENV", 


#define FAMILY_FILE_FORMAT_LIST "Internal",    \
                                "Spreadsheet",  \
                                "MathCAD" 

#define FAMILY_FILE_FORMAT_VAL 0,  \
                               1,  \
                               2 
#define NUMELEMENTS 3
#define NOBT 2

#define FAMILY_FILE_FORMAT_TABLE "INTERNAL",    \
                                 "SPREADSHEET",  \
                                 "MATHCAD",

#define FAMILY_FILE_FORMAT_CMD   "SAV:WAVE:FILEF INTERNAL",    \
                                 "SAV:WAVE:FILEF SPREADSHEET",  \
                                 "SAV:WAVE:FILEF MATHCAD", 

#define TRIGGER_SOURCE_CMD "TRIG:A:EDGE:SOU CH1", \
                           "TRIG:A:EDGE:SOU CH2", \
                           "TRIG:A:EDGE:SOU CH3", \
                           "TRIG:A:EDGE:SOU CH4", \
                           "TRIG:A:EDGE:SOU LINE", \
                           "TRIG:A:EDGE:SOU VERTICAL", \
                           "TRIG:A:EDGE:SOU EXT10", \
                           "TRIG:A:EDGE:SOU EXT", 

#define TRIGGER_SOURCE_TABLE "CH1", \
                             "CH2", \
                             "CH3", \
                             "CH4", \
                             "LINE", \
                             "VERTICAL", \
                             "EXT10", \
                             "EXT",

#define TRIGGER_SOURCE_LIST  "CH1", \
                             "CH2", \
                             "CH3", \
                             "CH4", \
                             "LINE", \
                             "VERTICAL", \
                             "EXT10", \
                             "EXT"

#define TRIGGER_SOURCE_VAL 0, \
                           1, \
                           2, \
                           3, \
                           4, \
                           5, \
                           6, \
                           7
#define TS_NUMELEMENTS 8
#define TS_NOBT 3

#define PRINTER_PORT_TABLE "CENTRONICS", \
                           "FILE", \
                           "GIPB", \
                           "RS232", \
                           "ETHERNET",

#define PRINTER_PORT_CMD "HARDC:PORT CENTRONICS", \
                         "HARDC:PORT FILE", \
                         "HARDC:PORT GIPB", \
                         "HARDC:PORT RS232", \
                         "HARDC:PORT ETHERNET",

#define PRINTER_PORT_LIST  "CENTRONICS", \
                           "FILE", \
                           "GIPB", \
                           "RS232", \
                           "ETHERNET"

#define PRINTER_PORT_VAL 0, \
                         1, \
                         2, \
                         3, \
                         4
#define PP_NUMELEMENTS 5
#define PP_NOBT 3

#define PRINTER_FORMAT_TABLE "DESKJETC", \
                             "EPSCOLOR", \
                             "LASERJET", \
                             "PCXCOLOR",

#define PRINTER_FORMAT_CMD "HARDCOPY:FORMAT DESKJETC", \
                           "HARDCOPY:FORMAT EPSCOLOR", \
                           "HARDCOPY:FORMAT LASERJET", \
                           "HARDCOPY:FORMAT PCXCOLOR",

#define PRINTER_FORMAT_LIST  "DESKJETC", \
                             "EPSCOLOR", \
                             "LASERJET", \
                             "PCXCOLOR"

#define PRINTER_FORMAT_VAL 0, \
                           1, \
                           2, \
                           3
#define PF_NUMELEMENTS 4
#define PF_NOBT 2

int tds3000Debug = 0;
epicsExportAddress(int, tds3000Debug);
#define DEBUG tds3000Debug

#include "devTDS.c"
