#include <epicsExport.h>

#define FAMILY       5000
#define EFASTI_TERM  "\n"
#define FAMILY_VDIV_TABLE   "1.0000E-3\n",   \
                            "2.0000E-3\n",   \
                            "5.0000E-3\n",   \
                           "10.0000E-3\n",   \
                           "20.0000E-3\n",   \
                           "50.0000E-3\n",   \
                          "100.0000E-3\n",   \
                          "200.0000E-3\n",   \
                          "500.0000E-3\n",   \
                            "1.0000\n",      \
                            "2.0000\n",      \
                            "5.0000\n",      \
                           "10.0000\n", 

#define FAMILY_ACQMODE_LIST "Sample",    \
                            "Peakdetect",  \
                            "HI Res Mode", \
                            "Average", \
                            "Envelope",

#define FAMILY_ACQMODE_VAL 0,  \
                           1,  \
                           2,  \
                           3,  \
                           4,    
#define AM_NUMELEMENTS 5
#define AM_NOBT 3

#define FAMILY_ACQMODE_TABLE  "SAMPLE",     \
                              "PEAKDETECT", \
                              "HIRES",      \
                              "AVERAGE",     \
                              "ENVELOPE", 

#define FAMILY_ACQMODE_CMD  "SAMPLE",  \
                            "PEAK", \
                            "HIRES",  \
                            "AVERAGE",   \
                            "ENVELOPE", 


#define FAMILY_FILE_FORMAT_LIST "Internal",       \
                                "MathCAD",        \
                                "MATLab",         \
                                "SpreadsheetCSV", \
                                "SpreadsheetTXT"

#define FAMILY_FILE_FORMAT_VAL 0, \
                               1, \
                               2, \
                               3, \
                               4

#define NUMELEMENTS 5
#define NOBT 3

#define FAMILY_FILE_FORMAT_TABLE "INTERNAL\n",       \
                                 "MATHCAD\n",        \
                                 "MATLAB\n",         \
                                 "SPREADSHEETCSV\n", \
                                 "SPREADSHEETTXT\n",

#define FAMILY_FILE_FORMAT_CMD   "SAV:WAVE:FILEF INTERNAL",       \
                                 "SAV:WAVE:FILEF MATHCAD",        \
                                 "SAV:WAVE:FILEF MATLAB",         \
                                 "SAV:WAVE:FILEF SPREADSHEETCSV", \
                                 "SAV:WAVE:FILEF SPREADSHEETTXT",


#define TRIGGER_SOURCE_CMD "TRIG:A:EDGE:SOU CH1", \
                           "TRIG:A:EDGE:SOU CH2", \
                           "TRIG:A:EDGE:SOU CH3", \
                           "TRIG:A:EDGE:SOU CH4", \
                           "TRIG:A:EDGE:SOU LINE", \
                           "TRIG:A:EDGE:SOU AUX",

#define TRIGGER_SOURCE_TABLE "CH1\n", \
                             "CH2\n", \
                             "CH3\n", \
                             "CH4\n", \
                             "LINE\n", \
                             "AUXILIARY\n",

#define TRIGGER_SOURCE_LIST  "CH1", \
                             "CH2", \
                             "CH3", \
                             "CH4", \
                             "LINE", \
                             "AUX"

#define TRIGGER_SOURCE_VAL 0, \
                           1, \
                           2, \
                           3, \
                           4, \
                           5
#define TS_NUMELEMENTS 6
#define TS_NOBT 3

#define PRINTER_PORT_TABLE "FILE\n", \
                           "PRINTER\n",

#define PRINTER_PORT_CMD "HARDC:PORT FILE", \
                         "HARDC:PORT PRINTER",

#define PRINTER_PORT_LIST  "FILE", \
                           "PRINTER"

#define PRINTER_PORT_VAL 0,\
                         1
#define PP_NUMELEMENTS 2
#define PP_NOBT 1

#define PRINTER_FORMAT_TABLE "NORMAL\n", \
                             "INKSAVER\n", \
                             "ENHANCEDWFM\n",

#define PRINTER_FORMAT_CMD "HARDCOPY:IMAGE NORMAL", \
                           "HARDCOPY:IMAGE INKSAVER", \
                           "HARDCOPY:IMAGE ENHANCEDWFM",

#define PRINTER_FORMAT_LIST "NORMAL", \
                            "INKSAVER", \
                            "ENHANCEDWFM"

#define PRINTER_FORMAT_VAL 0, \
                           1, \
                           2
#define PF_NUMELEMENTS 3
#define PF_NOBT 2

int tds5000Debug = 0;
epicsExportAddress(int, tds5000Debug);
#define DEBUG tds5000Debug

#include "devTDS.c"
