#!../../bin/linux-x86_64/scope

< envPaths
< envParams

#
# Site-specific configuration
#
epicsEnvSet(ETHER0, "$(TDS_ETHERNET=10.0.0.1)") # Choose scope ethernet address
epicsEnvSet(ETHER1, "$(TDS_ETHERNET=10.0.0.2)") # Choose scope ethernet address

#
# Ensure that we can transfer a complete waveform
#
# for TDS3000...
#epicsEnvSet(EPICS_CA_MAX_ARRAY_BYTES, 100000)
# for TDS5000...
# For length of 500000 sample, then set MAX_ARRAY_BTYES to 2500000
# Scale this value for different length sizes.
epicsEnvSet(EPICS_CA_MAX_ARRAY_BYTES, 2500000)

## Register all support components
cd ${TOP}
dbLoadDatabase("dbd/scope.dbd")
scope_registerRecordDeviceDriver(pdbbase)

## Load diagnostic record instance
dbLoadRecords("db/asynRecord.db","P=tds3k:,R=asyn,PORT=L0,ADDR=0,OMAX=0,IMAX=0")
dbLoadRecords("db/asynRecord.db","P=tds5k:,R=asyn,PORT=L1,ADDR=0,OMAX=0,IMAX=0")

## This is the main db for the TDS3xxx series 
# length = 500 or 10000
dbLoadRecords("db/TDS3000.vdb","scope=tds3k:,L=0,A=0,length=10000,ASG=,Name=TDS3k")
## This is the main db for the TDS5xxx series 
# length = 500 up to 500000 samples per channel
dbLoadRecords("db/TDS5000.vdb","scope=tds5k:,L=1,A=0,length=500000,ASG=,Name=TDS5k")

# reboot scopes (Ethernet only)
#TDS3000Reboot 164.54.xxx.xxx
#epicsThreadSleep(60)

## Set up IOC/hardware links -- GPIB/LAN connection
#vxi11Configure("L0", "$(ETHER0)", 0, 0.0, "gpib", 0)

## Set up IOC/hardware links -- Direct network connection
vxi11Configure("L0", "$(ETHER0)", 0, 0.0, "inst0", 0)
vxi11Configure("L1", "$(ETHER1)", 0, 0.0, "inst0", 0)

## Set up IOC/hardware links -- Remote serial port
##  (link, host, priority, noAutoConnect, noEosProcessing)
#drvAsynIPPortConfigure("L0", "$(ETHER0)", 0, 0, 0)
#asynOctetSetInputEos("L0",0,"\n")
#asynOctetSetOutputEos("L0",0,"\n")

## Set up IOC/hardware links -- Local serial port
##  (link, ttyName, priority, noAutoConnect, noEosProcessing)
#drvAsynSerialPortConfigure("L0", "/dev/ttyS0", 0, 0, 0)
#asynOctetSetInputEos("L0",0,"\n")
#asynOctetSetOutputEos("L0",0,"\n")
#asynSetOption("L0", 0, "baud", "38400")
#asynSetOption("L0", 0, "bits", "8")
#asynSetOption("L0", 0, "parity", "none")
#asynSetOption("L0", 0, "stop", "1")
#asynSetOption("L0", 0, "clocal", "N")
#asynSetOption("L0", 0, "crtscts", "Y")

## Turn on all diagnostic messages to stdout
#asynSetTraceMask("L0", -1, 0x9)
#asynSetTraceIOMask("L0", -1, 0x2)
#asynSetTraceIOTruncateSize("L0", -1, 120)

## Start IOC
cd ${TOP}/iocBoot/${IOC}
iocInit()

## Start any sequence programs
## NOT NEEDED FOR NORMAL OPERATIONS, THIS IS EXAMPLE ONLY
# For TDS3xxx ...
#dbpf "tds3k:RF_MessageBoxMO.FFVL","1"
#seq scopeAutoArmPrint,"scope=tds3k:"
# For TDS5xxx ...
#seq scopeAutoArmSave,"scope=tds5k:"
